#include <bits/stdc++.h>
#include <fstream>
using namespace std;


int main()
{  ifstream f1 ("TANSUAT.INP");
   ofstream f2 ("TANSUAT.OUT");
    int n;
   int i,j,tg;
   f1>>n;
   vector <int> d(1000,0);
    int a[1000];
   for (i=1;i<=n;i++)
   {
       f1>>a[i];
       d[a[i]]++;
   }
   f1.close();
   for (i=1;i<n;i++)
    {for (j=i+1;j<=n;j++)
    if (a[i]>a[j])
   {
       tg=a[i];
       a[i]=a[j];
       a[j]=tg;
   }}
   for (i=1;i<=n;i++)
   {
       if (d[a[i]]>1)
       {f2<<a[i]<<" "<<d[a[i]]<<endl;
        d[a[i]]=0;}
   }
   f2.close();

    return 0;
}
